<?php
/*
# ------------------------------------------------------------------------
# Vina Item Scroller for K2 for Joomla 3
# ------------------------------------------------------------------------
# Copyright(C) 2014 www.VinaGecko.com. All Rights Reserved.
# @license http://www.gnu.org/licenseses/gpl-3.0.html GNU/GPL
# Author: VinaGecko.com
# Websites: http://vinagecko.com
# Forum: http://vinagecko.com/forum/
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$doc = JFactory::getDocument();
$doc->addScript('modules/mod_vina_scroller_k2/assets/js/jquery.cssAnimate.mini.js', 'text/javascript');
$doc->addScript('modules/mod_vina_scroller_k2/assets/js/jquery.mousewheel.min.js', 'text/javascript');
$doc->addScript('modules/mod_vina_scroller_k2/assets/js/jquery.touchwipe.min.js', 'text/javascript');
$doc->addScript('modules/mod_vina_scroller_k2/assets/js/scroller.min.js', 'text/javascript');
$doc->addStyleSheet('modules/mod_vina_scroller_k2/assets/css/style.css');
?>
<style type="text/css">
#vina-scroller-k2<?php echo $module->id; ?> {
	width:<?php echo $moduleWidth; ?>px;
	height: <?php echo $moduleHeight; ?>px;
	padding: <?php echo $modulePadding; ?>px;
	<?php echo ($bgImage != '') ? 'background: url('.$bgImage.') top center no-repeat;' : ''; ?>
	<?php echo ($isBgColor) ? 'background-color: ' . $bgColor : ''; ?>
}
#vina-scroller-k2<?php echo $module->id; ?> .slide {
	color: <?php echo $itemTextColor; ?>;
    padding: <?php echo $slidePadding; ?>px;
	height: <?php echo $moduleHeight - 2 * $slidePadding; ?>px;
	<?php echo ($isItemColor) ? 'background-color: ' . $itemBgColor : ''; ?>
}
#vina-scroller-k2<?php echo $module->id; ?> .slide a {
	color: <?php echo $itemLinkColor; ?>;
}
#vina-scroller-k2<?php echo $module->id; ?> .toolbar {
	<?php echo ($arrowNavigation == 1) ? 'display: block;' : 'display: none;'; ?>
}
#vina-scroller-k2<?php echo $module->id; ?>:hover .toolbar {
	<?php echo ($arrowNavigation == 2) ? 'display: block;' : ''; ?>
}
</style>
<div id="vina-scroller-k2<?php echo $module->id; ?>" class="vina-scroller-k2 <?php echo $moduleclass_sfx; ?>">
	<!-- Items Block -->
	<ul class="vina-scroller-k2-items">
		<?php 
			foreach($items as $key => $item) :
				$image = $item->$itemImgSize;
				$title = $item->title;
				$link  = $item->link;
				$cname = $item->categoryname;
				$clink = $item->categoryLink;
				$hits  = $item->hits;
				$introtext = $item->introtext;
				$created   = $item->created;
		?>
		<li class="vina-scroller-k2-item">
			<!-- Image Block -->
			<?php if($itemImage) : ?>
			<div class="image-block">
				<a href="<?php echo $link; ?>" title="<?php echo $title; ?>">
					<img src="<?php echo $image; ?>" alt="<?php echo $title; ?>" title="<?php echo $title; ?>" class="thumb" data-bw="<?php echo $image; ?>" />
				</a>
			</div>
			<?php endif; ?>
			
			<!-- Text Block -->
			<?php if($itemTitle || $itemIntroText || $itemCategory || $itemDateCreated || $itemHits || $itemReadMore) : ?>
			<div class="text-block">
				<!-- Title Block -->
				<?php if($itemTitle) :?>
				<h3 class="title">
					<a href="<?php echo $link; ?>" title="<?php echo $title; ?>">
						<?php echo $title; ?>
					</a>
				</h3>
				<?php endif; ?>
				
				<!-- Info Block -->
				<?php if($itemCategory || $itemDateCreated || $itemHits) : ?>
				<div class="info">
					<?php if($itemDateCreated) : ?>
					<span><?php echo JTEXT::_('VINA_PUBLISHED'); ?>: <?php echo JHTML::_('date', $created, 'F d, Y');?></span>
					<?php endif; ?>
					
					<?php if($itemCategory) : ?>
					<span><?php echo JTEXT::_('VINA_CATEGORY'); ?>: <a href="<?php echo $clink; ?>"><?php echo $cname; ?></a></span>
					<?php endif; ?>
					
					<?php if($itemHits) : ?>
					<span><?php echo JTEXT::_('VINA_HITS'); ?>: <?php echo $hits; ?></span>
					<?php endif; ?>
				</div>
				<?php endif; ?>
				
				<!-- Intro text Block -->
				<?php if($itemIntroText) : ?>
				<div class="introtext"><?php echo $introtext; ?></div>
				<?php endif; ?>
				
				<!-- Readmore Block -->
				<?php if($itemReadMore) : ?>
				<div class="readmore">
					<a class="buttonlight morebutton" href="<?php echo $link; ?>" title="<?php echo $title; ?>">
						<?php echo JText::_('VINA_READ_MORE'); ?>
					</a>
				</div>
				<?php endif; ?>
			</div>
			<?php endif; ?>
		</li>
		<?php endforeach; ?>
	</ul>
	
	<!-- Toolbar Block -->
	
	<div class="toolbar">
        <div class="left"></div>
        <div class="right"></div>
    </div>
	
</div>

<script type="text/javascript">
jQuery(document).ready(function($) {
	$('#vina-scroller-k2<?php echo $module->id; ?>').services({
		width: <?php echo $moduleWidth; ?>,
		height: <?php echo $moduleHeight; ?>,
		slideAmount: <?php echo $slideAmount ?>,
		slideSpacing: <?php echo $slideSpacing; ?>,
		slidePadding: <?php echo $slidePadding; ?>,
		modulePadding: <?php echo $modulePadding; ?>,
		touchenabled: "<?php echo $touchEnabled; ?>",
		mouseWheel: "<?php echo $mouseWheel; ?>",
		hoverAlpha: "<?php echo $hoverAlpha; ?>",
		hovereffect: "<?php echo $hoverEffect; ?>",
		slideshow: <?php echo $autoSpeed; ?>,
		carousel: "<?php echo $enableCarousel; ?>",
		callBack:function() { }
	});
}); 
</script>